# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate onig_sys

Name:           rust-%{crate}
Version:        69.0.0
Release:        2%{?dist}
Summary:        Raw rust bindings to the oniguruma library

License:        MIT
URL:            https://crates.io/crates/onig_sys
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Use system onig by default
Patch0:         rust-onig_sys-use-system-onig.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(cc/default) >= 1.0.0 with crate(cc/default) < 2.0.0)
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(pkg-config/default) >= 0.3.0 with crate(pkg-config/default) < 0.4.0)
BuildRequires:  pkgconfig(oniguruma) >= 6.8.0

%global _description \
The `onig_sys` crate contains raw rust bindings to the oniguruma library.\
This crate exposes a set of unsafe functions which can then\
be used by other crates to create safe wrappers around Oniguruma.\
\
You probably don't want to link to this crate directly;\
instead check out the `onig` crate.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(oniguruma) >= 6.8.0

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+posix-api-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+posix-api-devel %{_description}

This package contains library source intended for building other packages
which use "posix-api" feature of "%{crate}" crate.

%files       -n %{name}+posix-api-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+print-debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+print-debug-devel %{_description}

This package contains library source intended for building other packages
which use "print-debug" feature of "%{crate}" crate.

%files       -n %{name}+print-debug-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
rm -vrf oniguruma/
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Nov 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 69.0.0-2
- Adapt to new packaging

* Sat Sep 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 69.0.0-1
- Update to 69.0.0

* Wed Sep 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 68.2.1-1
- Update to 68.2.1

* Mon Sep 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 68.2.0-1
- Initial package
